Skip to navigation

Reveal Contact — Email

View as Markdown

POST /sourcing-session/contact/reveal

Reveals the email address of a candidate.

Same endpoint as Reveal Contact — Phone; only the revealType query param differs.

Headers

KeyValue
x-fj-api-keyfjk_

Query Parameters

NameTypeRequiredDescription
sourcingSessionIdstringyesSession id.
linkedin_profile_urlstringyesCandidate’s LinkedIn URL.
revealTypestringyesMust be EMAIL.

Response (200)

{
"statusCode": 200,
"data": [
{ "type": "EMAIL", "values": ["candidate@example.com"], "status": "FOUND" },
{ "type": "PHONE", "values": [], "status": null }
],
"message": "Email revealed successfully",
"status": "SUCCESS"
}

cURL

Replace fjk_YOUR_API_KEY_HERE, , and (URL-encode the LinkedIn URL), then paste and run:

curl -X POST "https://prod.api.futurejobs.ai/api/v1/wl/sourcing-session/contact/reveal?sourcingSessionId=<SESSION_ID>&linkedin_profile_url=<LINKEDIN_URL>&revealType=EMAIL" \
-H "x-fj-api-key: fjk_YOUR_API_KEY_HERE"

Errors

  • 401 Unauthorized

  • 402 Payment Required — insufficient credits.

  • 404 Not Found — profile not found or no email available for this LinkedIn URL.

Authentication

x-fj-api-keystring
API Key authentication via header

Query parameters

sourcingSessionIdstringOptional
linkedin_profile_urlstringOptional
revealTypestringOptional

Response headers

X-Powered-BystringOptional
X-Request-IdstringOptional
Access-Control-Allow-CredentialsstringOptional
RateLimit-PolicystringOptional
RateLimit-LimitstringOptional
RateLimit-RemainingstringOptional
RateLimit-ResetstringOptional
ETagstringOptional

Response

OK
statusCodeinteger
datalist of objects
messagestring
statusstring